#include<iostream>
#include<string>
using namespace std;
string a,b,v,g,d,z,c,e,f,r;
int main(){
    cin>>a>>b>>v;
    g=a+b+v;
    d=a+v+b;
    z=b+a+v;
    c=b+v+a;
    e=v+a+b;
    f=v+b+a;
    r=g;
    if(d>r)r=d;
    if(z>r)r=z;
    if(c>r)r=c;
    if(e>r)r=e;
    if(f>r)r=f;
    cout<<r;
return 0;
}